PUT V1/Benchmarking.{ext}/ConsumptionDetails
This API updates the site energy consumption details.
Mandatory Fields :EPAConsumptionId, StartDate, EndDate, EnergyUsage, VirtualMeterNumber, Comments
Optional Fields : N/A.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
Consumption Details
EMS.Benchmarking.Entities.EPAConsumptionDetails| Name | Description | Type | Additional information |
|---|---|---|---|
| EPAConsumptionId |
EPAConsumption Id |
string |
None. |
| VirtualMeterNumber |
Virtual Meter Number |
string |
None. |
| UtilityTypeName |
Utility Type |
string |
None. |
| StartDate |
Start Date |
string |
None. |
| EndDate |
End Date |
string |
None. |
| EnergyUsage |
Energy Usage |
string |
None. |
| Comments |
TComments |
string |
None. |
Request Formats
application/json, text/json
{
"epaConsumptionId": "sample string 1",
"virtualMeterNumber": "sample string 2",
"utilityTypeName": "sample string 3",
"startDate": "sample string 4",
"endDate": "sample string 5",
"energyUsage": "sample string 6",
"comments": "sample string 7"
}
application/xml, text/xml
<EPAConsumptionDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Benchmarking.Entities"> <Comments>sample string 7</Comments> <EPAConsumptionId>sample string 1</EPAConsumptionId> <EndDate>sample string 5</EndDate> <EnergyUsage>sample string 6</EnergyUsage> <StartDate>sample string 4</StartDate> <UtilityTypeName>sample string 3</UtilityTypeName> <VirtualMeterNumber>sample string 2</VirtualMeterNumber> </EPAConsumptionDetails>
application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
EMSResponseOfEMS.Common.TransactionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Common.TransactionResult |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "TransactionResult",
"response": {
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.